function onBegin()
    if not getFlag("GoldenIntro_ran") then
      enableRetry()
      disableMovement()
      waitUntilOnGround ()
      say("Elekitu_Dumber_Golden_Intro")
    end
end

function onEnd()
    enableMovement()
    setFlag("GoldenIntro_ran", true)
    disableRetry()
end